Bug 606824 - Acquired but Not Accepted Messages Not Sent to Alterntate Exchange
Acquired but Not Accepted Messages Not Sent to Alterntate Exchange
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.2
x86_64 Linux
high Severity high
: 1.3
: ---
Assigned To: Gordon Sim
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 10:52 EDT by Chris Pitman
Modified: 2010-10-14 12:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Acquiring a message from an exclusive, auto-delete queue with an alternate exchange and canceling/killing the subscription resulted in the acquired messages not being sent to the alternate exchange, even though the non-acquired messages were successfully sent to the alternate exchange. With this update, all messages, acquired and non-acquired, are sent to the alternate exchange.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Code Sample (1.27 KB, application/octet-stream)
2010-06-22 10:52 EDT, Chris Pitman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 11:56:44 EDT

  None (edit)
Description Chris Pitman 2010-06-22 10:52:26 EDT
Created attachment 425960 [details]
Code Sample

Description of problem:
We created a queue which is exclusive, auto-delete, and has an alternate exchange.  We then acquired a message from the queue and cancel/killed the subscription.  In both cases the non-acquired messages were sent to the alternate exchange but the acquired messages were not.


Version-Release number of selected component (if applicable):
829175

How reproducible:
Code to reproduce included

Steps to Reproduce:
#1: qpidd -p 10001 --no-data-dir
#2: ./setup
#3: ./send 
#4: Use qpid-tool to read the msgDepth of q2. It only has 9 messages although we sent 10.

  
Actual results:
9 messages go through alternate exchange.


Expected results:
All (10) messages go through alternate exchange.


Additional info:
Comment 1 Gordon Sim 2010-06-22 15:48:15 EDT
Fixed on trunk (r956988) and in release repo (http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=60a76e31d0b05c93662101a61bf573067440daec).
Comment 2 Jiri Kolar 2010-08-05 09:06:50 EDT
Tested:
on 752581 problem appears
on 946106-11 it is fixed

validated on RHEL5.5  i386 / x86_64 on RHEL4 reproducer does not compile  

packages:

# rpm -qa | grep -E '(qpid|openais|rhm)' | sort -u
openais-0.80.6-16.el5_5.2
openais-devel-0.80.6-16.el5_5.2
python-qpid-0.7.946106-11.el5
qpid-cpp-client-0.7.946106-11.el5
qpid-cpp-client-devel-0.7.946106-11.el5
qpid-cpp-client-devel-docs-0.7.946106-11.el5
qpid-cpp-client-ssl-0.7.946106-11.el5
qpid-cpp-mrg-debuginfo-0.7.946106-8.el5
qpid-cpp-server-0.7.946106-11.el5
qpid-cpp-server-cluster-0.7.946106-11.el5
qpid-cpp-server-devel-0.7.946106-11.el5
qpid-cpp-server-ssl-0.7.946106-11.el5
qpid-cpp-server-store-0.7.946106-11.el5
qpid-cpp-server-xml-0.7.946106-11.el5
qpid-java-client-0.7.946106-7.el5
qpid-java-common-0.7.946106-7.el5
qpid-tools-0.7.946106-8.el5
rhm-docs-0.7.946106-4.el5
rh-tests-distribution-MRG-Messaging-qpid_common-1.6-52


-=>VERIFIED
Comment 3 Martin Prpič 2010-10-08 08:06:35 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Acquiring a message from an exclusive, auto-delete queue with an alternate exchange and canceling/killing the subscription resulted in the acquired messages not being sent to the alternate exchange, even though the non-acquired messages were successfully sent to the alternate exchange. With this update, all messages, acquired and non-acquired, are sent to the alternate exchange.
Comment 5 errata-xmlrpc 2010-10-14 12:07:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.